package com.muyu.enterprise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.Fence;
import com.muyu.domain.req.FenceReq;
import com.muyu.domain.resp.FenceResp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ElectService extends IService<Fence> {

    /**
     * 列表查询
     */
    List<FenceResp> selectFenceList(FenceReq req);

    /**
     * 启用
     */
    void updateFenceOn(Long fenceId);

    /**
     * 禁用
     */
    void updateFenceOff(Long fenceId);

    /**
     * 回显地图
     */
    List<Fence> mapShow(@Param("fenceId") Long fenceId);

    /**
     * 查询电子围栏(终版)
     */
    List<Fence> showFenceBound(@Param("fenceGroupId") Long fenceGroupId );


}
